<div id='galleryauto'></div>

<script>

    $(function () {

        function block(url, title) {

            let urlbig = url;
            let re = /(.*)&x=(\d+)&y=(\d+)/i;
            let match = re.exec(url);
            let urlsmall = match[1] + '&x=300&y=300';
            let size = match[2] + "x" + match[3];

            return $('<div class="box">' +
                '<figure itemprop="associatedMedia" itemscope="" itemtype="http://schema.org/ImageObject">' +
                '<div class="img" style="background-image: url(\'' +
                urlsmall.replace(/'/g, "\\'") +
                '\');">' +
                '<img itemprop="thumbnail" src="' +
                urlsmall +
                '" alt="' + title + '">' +
                '</div>' +
                '<figcaption>' +
                '<p>' + title + '</p>' +
                '</figcaption>' +
                '<a data-size="' + size + '" href="' +
                urlbig +
                '" itemprop="contentUrl"></a>' +
                '</figure>' +
                '</div>');

        }

        $.getJSON('https://cloud.magnyethique.org/gallery.php', function (data) {
            data.sort((a, b) => {
                const fileA = a.match(/file=\/([^&]+)/)[1];
                const fileB = b.match(/file=\/([^&]+)/)[1];
                return fileA.localeCompare(fileB);
            });
            data.forEach(url => {
                imageName = url.substring(url.lastIndexOf('/') + 1);
                imageName = imageName.substring(0, imageName.lastIndexOf('.'));
                imageName = imageName.replace(/_/g, " ");
                $('#galleryauto').append(block(url, imageName));
            });
            // reinit photoswipe
            initPhotoswipe();
        });

    });
</script>